/*
 * @Author: mypx
 * @Date: 2025-10-15 16:24:35
 * @LastEditTime: 2025-10-15 16:52:46
 * @LastEditors: mypx mypx_coder@163.com
 * @Description: 
 */
#ifndef __BSP_HMI_H__
#define __BSP_HMI_H__
#include <stdint.h>

#define MB_HMI_RX_QUEUE_SIZE 128 // Modbus HMI 接收队列大小
extern struct rt_messagequeue mb_hmi_mq;

int bsp_mb_hmi_init(void);

int32_t bsp_hmi_uart_read(uint8_t *buf, uint16_t count, int32_t byte_timeout_ms, void *arg);

int32_t bsp_hmi_uart_write(const uint8_t *buf, uint16_t count, int32_t byte_timeout_ms, void *arg);

#endif // __BSP_HMI_H__
